<?php

function user_access_page($array) {
	global $user, $user_id, $ajax_query;

	if ($user_id != $array['id'] && $array['access_page'] == 1)
	{
		if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` = '".$array['id']."' LIMIT 1"),0) == false)
		{
			echo err('<center>'.$array['name'].' '.($array['sex']==1?lang('ограничил','обмежив'):lang('ограничила','обмежила')).' доступ '.lang('к своей странице.','до своєї сторінки.').'<br/>'.lang('Страница доступна только для','Сторінка доступна тільки для').' <a href="'.URL.'/friends/new.php?new='.$array['id'].'" onclick="Page.Go(this.href); return false">'.lang('друзей','друзів').'</a>.</center>');
			if ($user['level'] == 0) {require_once HOME.'/incfiles/foot.php'; exit;}
		}
	}
}

function group_access($arr_group) {
	global $user_id, $ajax_query;

	if (in_array($user_id, explode("||", substr($arr_group['blacklist'], 1, -1)))) {echo err(lang('Вы занесены в черный список сообщества','Ви занесені у чорний список спільноти')); require_once HOME.'/incfiles/foot.php';exit;}
	else if (in_array($user_id, explode("||", substr($arr_group['banlist'], 1, -1))))
	{
		$arr_group_ban = mysql_fetch_array(mysql_query("SELECT * FROM `groups_ban` WHERE `group_id` = '".$arr_group['id']."' AND  `ban_id` = '".$user_id."' LIMIT 1"));
		echo err(lang('Вы заблокированы администрацией сообщества<br/>Причина: <b>'.$arr_group_ban['text'].'</b><br/>Розблок через: '.($arr_group_ban['do']-time()),'Ви заблоковані адміністрацією спільноти до <b>'.date('d', $arr_group_ban['do']).' '.hb(date('m', $arr_group_ban['do'])).' '.date('H:i', $arr_group_ban['do']).'</b>'.(!empty($arr_group_ban['text'])?'<br/>Причина: <b>'.$arr_group_ban['text'].'</b>':'')));
	}
	else if ($arr_group['type'] == 1 && !in_array($user_id, explode("||", substr($arr_group['users'], 1, -1)))) {echo err(lang('Сообщество доступно только для участников сообщества','Спільнота доступна тільки для учасників спільноти')); if ($ajax_query == false) require_once HOME.'/incfiles/foot.php'; exit;}
}

?>